/* Copyright 2000 by the Massachusetts Institute of Technology.
 *
 * Permission to use, copy, modify, and distribute this
 * software and its documentation for any purpose and without
 * fee is hereby granted, provided that the above copyright
 * notice appear in all copies and that both that copyright
 * notice and this permission notice appear in supporting
 * documentation, and that the name of M.I.T. not be used in
 * advertising or publicity pertaining to distribution of the
 * software without specific, written prior permission.
 * M.I.T. makes no representations about the suitability of
 * this software for any purpose.  It is provided "as is"
 * without express or implied warranty.
 */

#define VERSION "1.03"

struct mask {
  int bits[32];
};

struct mask *mask_from_quadstring(char *in);
struct mask *mask_from_cidrstring(char *in);
struct mask *mask_from_bitstring(char *in);
char *mask_to_quadstring(struct mask *in);
char *mask_to_wildstring(struct mask *in);
char *mask_to_cidrstring(struct mask *in);
char *mask_to_bitstring(struct mask *in);
char *mask_to_nicebitstring(struct mask *in);
char *mask_netlowaddr(struct mask *in, char *ip);
char *mask_nethighaddr(struct mask *in, char *ip);
int mask_num_addresses(struct mask *in);
